Skip to content

The ledger vendors this supplier's bills came from, when they differ (any role)

GET
/suppliers/{supplierId}/source-vendors
curl --request GET \
--url https://api.invogi.com/v1/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/source-vendors \
--header 'Authorization: Bearer <token>'
supplierId
required
string format: uuid

The conflict, or null

Media typeapplication/json
object
conflict
One of:
null

Example generated

{
"conflict": {
"supplierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"supplierName": "example",
"groups": [
{
"sourceRef": "example",
"sourceName": "example",
"invoices": 1,
"firstIssueDate": "2026-04-15",
"lastIssueDate": "2026-04-15",
"matchesSupplierName": true
}
]
}
}

Resource not found

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: NOT_FOUND UNAUTHORIZED FORBIDDEN INVALID_REQUEST CONFLICT RATE_LIMITED USAGE_LIMIT_EXCEEDED PROCESSING_FAILED
message
required
string
request_id
required
string

Example

{
"error": {
"code": "NOT_FOUND"
}
}